{% extends 'proposition/base.html.twig' %}

{% block content %}

{% for message in app.flashes('danger') %}
<div class="flash-message flash-error">
  {{ message }}
</div>
{% endfor %}

<h2>Mes disponibilités</h2>
<form action="" method="post" class="mt-8 form-availabilities">
  <section>
    <h3>Vendredi</h3>
    <div class="grid grid-cols-2">
      <div class="flex items-center justify-center">
        <input name="availability[friday][morning]" id="availability[friday][morning]" type="checkbox">
        <label for="availability[friday][morning]">Matin</label>
      </div>

      <div class="flex items-center justify-center">
        <input name="availability[friday][afternoon]" id="availability[friday][afternoon]" type="checkbox">
        <label for="availability[friday][afternoon]">Après-midi</label>
      </div>
    </div>
  </section>

  <section>
    <h3>Samedi</h3>
    <p><i class="fas fa-exclamation-triangle"></i> Plusieurs créneaux possibles - Chaque créneau doit être de minimum 3h consécutives</p>
    <div class="dispo-grid dispo-grid-saturday grid-cols-14">
      {% for i in 8..21 %}
      <div class="flex flex-row flex-wrap md:flex-nowrap md:flex-col">
        <label class="w-full" for="availability[saturday][{{ i }}h]">{{ i }}h</label>

        {% if not loop.last %}
        <input class="classic-checkbox" name="availability[saturday][{{ i }}h]" id="availability[saturday][{{ i }}h]" type="checkbox">
        {% endif %}
      </div>
      {% endfor %}
    </div>
  </section>

  <section class="mt-8">
    <h3>Dimanche</h3>
    <p><i class="fas fa-exclamation-triangle"></i> Plusieurs créneaux possibles - Chaque créneau doit être de minimum 3h consécutives</p>
    <div class="grid-cols-1 md:grid-cols-12 dispo-grid dispo-grid-sunday">
      {% for i in 8..19 %}
      <div class="flex flex-row flex-wrap md:flex-nowrap md:flex-col">
        <label class="w-full" for="availability[sunday][{{ i }}h]">{{ i }}h</label>

        {% if not loop.last %}
        <input class="classic-checkbox" name="availability[sunday][{{ i }}h]" id="availability[sunday][{{ i }}h]" type="checkbox">
        {% endif %}
      </div>
      {% endfor %}
    </div>
  </section>

  <section class="mt-8">
    <h3>Lundi</h3>
    <div class="grid grid-cols-2">
      <div class="flex items-center justify-center">
        <input name="availability[monday][morning]" id="availability[monday][morning]" type="checkbox">
        <label for="availability[monday][morning]">Matin</label>
      </div>

      <div class="flex items-center justify-center">
        <input name="availability[monday][afternoon]" id="availability[monday][afternoon]" type="checkbox">
        <label for="availability[monday][afternoon]">Après-midi</label>
      </div>
    </div>
  </section>

  <button class="w-full mb-4 md:w-auto btn-info md:mb-0 md:mt-8">Envoyer</button>
</form>

{% endblock %}
